<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.pole.mapper.DgGatewayStrategyMapper">

    <resultMap id="BaseResultMap" type="com.zksy.pole.domain.po.DgGatewayStrategy">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="cmd" column="cmd" jdbcType="BIGINT"/>
            <result property="packageId" column="package_id" jdbcType="VARCHAR"/>
            <result property="lightNum" column="light_num" jdbcType="VARCHAR"/>
            <result property="params" column="params" jdbcType="OTHER"/>
            <result property="createBy" column="create_by" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateBy" column="update_by" jdbcType="VARCHAR"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,cmd,package_id,
        light_num,params,create_by,
        create_time,update_by,update_time
    </sql>
</mapper>
